.modal-content.active {
    display: block;
}

.modal-content {
    display: none;
}


.gift-banner img{
    border: none;
    height: auto;
    max-height: 100%;
    max-width: 100%;
    width: auto;
}


.input-container .close-eye {
    background-image: url("https://www.hotdeals.com/hotdeals_assets/img/userInfo/close-eye.svg");
}
.input-container .toggle-password {
    cursor: pointer;
    height: 16px;
    position: absolute;
    right: 16px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
}
.input-all{margin: 0 auto;
    width: 100%;}
.gift-banner span {
    color: #f1514c;
    font-size: 14px;
    font-weight: 400;
}

.error-tips {
    align-items: flex-start;
    color: #f1514c;
    display: flex
;
    font-size: 12px;
    font-weight: 400;
    gap: 5px;
    line-height: 16px;
    margin: -8px 0 20px;
}
.main-dialog {
    background: #fff;
    border-radius: 12px;
    left: 50%;
    padding: 40px 50px 30px;
    position: relative;
    top: 50%;
    transform: translate(-50%,-50%);
    width: 440px
}

.gift-card-tip {
    align-items: center;
    background: repeating-linear-gradient(-76deg,#fff,#fff 7px,#feefee 0,#feefee 15px);
    border: 1px solid #ff6b6b;
    border-radius: 8px;
    color: #f1514c;
    display: flex;
    font-size: 12px;
    font-weight: 500;
    margin: 0 auto 12px;
    position: relative;
    white-space: nowrap;
    width: 166px
}
.input-container input {
    background: transparent;
    border: none;
    font-family: inherit;
    font-size: 14px;
    height: 100%;
    outline: none;
    padding: 0 16px;
    width: 100%;
    color: #313030;
}
.input-container:hover {
    box-shadow: 0 0 0 3px #feefef;
}
.not-email-input {
    border-color: #f1514c;
}
.input-container {
    border: 1px solid #b5b5b5;
    border-radius: 10px;
    height: 48px;
    margin-bottom: 20px;
    position: relative;
    transition: all .2s;
}

.gift-card-tip:after {
    background: #fff;
    border-bottom: 1px solid #ff6b6b;
    border-right: 1px solid #ff6b6b;
    bottom: -5px;
    content: "";
    height: 8px;
    left: 84%;
    position: absolute;
    transform: translate(-50%) rotate(45deg);
    width: 8px
}

.gift-card-tip img {
    height: 32px;
    width: 35px
}


.login-type,.login-type .google-icon {
    align-items: center;
    display: flex;
    justify-content: center
}

.login-type .google-icon {
    height: 18px;
    width: 18px
}

.google-btn,.google-type {
    margin-bottom: 10px;
}

.google-btn {
    border: none;
    height: auto
}

.facebook-type img {
    height: 18px;
    width: 18px
}

.apple-type {
    color: #999;
    cursor: no-drop
}

.apple-type img {
    height: 18px;
    width: 18px
}

.login-or {
    align-items: center;
    display: flex;
    justify-content: space-between;
    margin: 0 auto 0px;
    text-align: center;
    width: 100%
}

.login-or .line {
    background: #e5e5e5;
    flex: 1;
    height: 1px
}

.login-or span {
    color: #aaa;
    font-size: 14px;
    font-weight: 400;
    line-height: 16px;
    margin: 0 6px
}


.emai-login .remember {
    align-items: center;
    display: flex;
    justify-content: center;
    margin-bottom: 12px
}

.emai-login .remember .right {
    color: #222;
    cursor: pointer;
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    text-decoration: underline
}
.email-tips{
    background: #fff;
    border-radius: 12px;
    box-shadow: 0 4px 24px #00000014;
    left: 0;
    position: absolute;
    top: 48px;
    width: 100%;
    z-index: 99;
}
.email-tips .email-tips-item {
    color: #999;
    font-size: 14px;
    font-weight: 400;
    height: 40px;
    display: inline-block;
    line-height: 40px;
    text-indent: 10px;
    width: 100%;
}
.email-tips .email-tips-item span {
    color: #222;
    font-weight: bold;
}
.login-btn, .resend-button, .send-link, .resend-link {
    background: #f1514c;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    height: 48px;
    line-height: 48px;
    margin-bottom: 16px;
    text-align: center;
    transition: all .3s ease;
    width: 100%
}

.login-btn:hover, .resend-button:hover, .send-link:hover, .resend-link:hover {
    background: #d92a25
}

.quick-login {
    margin-bottom: 0
}

.email-logined {
    background: #f6f6f6;
    border-radius: 12px;
    margin: 20px auto 16px;
    padding: 16px 20px;
    text-align: center;
    width: 100%
}

.email-logined .email-logo {
    align-items: center;
    background: #ddd;
    border-radius: 100%;
    color: #000;
    cursor: pointer;
    display: flex;
    font-size: 28px;
    font-weight: 700;
    height: 68px;
    justify-content: center;
    margin: 0 auto 8px;
    width: 68px
}

.email-logined .email-name {
    color: #000;
    font-size: 16px;
    font-weight: 700;
    line-height: 18px;
    margin-bottom: 20px
}

.email-anther {
    color: #222;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 12px;
    text-align: center;
    text-decoration: underline
}

.dialog-text {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto;
    text-align: center;
    width: 100%;
}

.dialog-text a{
    color: #222;
    text-decoration: underline;
}
.title-desc{
    color: #222;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    margin-bottom: 28px;
    text-align: center;
}

.dialog-text {
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text,.dialog-text span {
    font-size: 12px;
    line-height: 18px
}

.dialog-text span {
    color: #666;
    font-weight: 400
}

.dialog-text .dialog {
    color: #222;
    cursor: pointer;
    display: inline;
    font-size: 12px;
    text-decoration: underline
}



.dialog-text-two .two {
    cursor: pointer;
    font-weight: 500;
    text-decoration: underline
}

.pop-close:hover {
    background: #f1f1f1
}

.pop-close:before {
    background-color: #666;
    transform: rotate(45deg)
}

.pop-close:after,.pop-close:before {
    border-radius: 25px;
    content: "";
    display: inline-block;
    height: 2px;
    left: 8px;
    position: absolute;
    top: 15px;
    width: 18px
}

.pop-close:after {
    background-color: #333;
    transform: rotate(-45deg)
}




.popup .popup-close {
    border-radius: 50%;
    color: #666;
    cursor: pointer;
    padding: 8px;
    position: absolute;
    right: 12px;
    top: 12px
}

.popup .popup-close:hover {
    background-color: #f1f1f1
}

.popup .popup-title {
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 16px
}

.popup .popup-subtitle {
    font-size: 14px;
    font-weight: 400;
    margin-bottom: 24px
}

.popup .popup-description {
    color: #999;
    font-size: 12px;
    font-weight: 400
}

.popup .popup-description .link {
    color: #222;
    cursor: pointer;
    font-size: 12px;
    font-weight: 500;
    text-decoration-line: underline
}

@media screen and (max-width: 720px) {
    .popup .popup-close {
        right:4px;
        top: 4px
    }

    .popup .popup-content {
        margin: 0 35px;
    }

    .popup .popup-title {
        font-size: 17px
    }
}

.fade-enter-active,.fade-leave-active {
    transition: opacity .3s ease
}

.fade-enter-from,.fade-leave-to {
    opacity: 0
}
.gift-banner span {
    color: #f1514c;
    font-size: 14px;
    font-weight: 400
}
.login-type,.login-type .google-icon {
    align-items: center;
    display: flex;
    justify-content: center
}
.login-btn.disabled {
    opacity: 0.65;
    pointer-events: none;
    cursor: not-allowed;
}
.login-type .google-icon {
    height: 18px;
    width: 18px
}

.login-type:hover {
    border-color: #222
}

.google-type {
    margin-bottom: 20px
}

.google-btn {
    border: none;
    height: auto
}



.apple-type {
    color: #999;
    cursor: no-drop
}

.apple-type img {
    height: 18px;
    width: 18px
}


.login-or .line {
    background: #e5e5e5;
    flex: 1;
    height: 1px
}

.sinup-btn:hover {
    background: #d92a25
}
.sinup-btn.disabled {
    opacity: 0.65;
    pointer-events: none;
    cursor: not-allowed;
}

.dialog-text {
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text,.dialog-text span {
    font-size: 12px;
    line-height: 18px
}

.dialog-text span {
    color: #666;
    font-weight: 400
}

.dialog-text .dialog {
    color: #222;
    cursor: pointer;
    display: inline;
    font-size: 12px;
    text-decoration: underline
}



.dialog-text-two .one {
    color: #222
}

.dialog-text-two .two {
    cursor: pointer;
    font-weight: 500;
    text-decoration: underline
}



.icon-image {
    background: url(img/userInfo/img_email.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    height: 138px;
    margin: 0 auto 20px;
    width: 142px
}

.dialog-text {
    color: #666;
    font-weight: 400;
    margin: 0 auto 20px
}

.dialog-text,.dialog-text-two {
    font-size: 14px;
    line-height: 18px;
    text-align: center;
    width: 100%
}

.dialog-text-two {
    color: #222;
    cursor: pointer;
    font-weight: 500;
    margin: 0 auto;
    text-decoration: underline
}

.title {
    color: #000;
    font-size: 20px;
    font-weight: 700;
    line-height: 24px;
    margin: 0 auto 14px
}

.title,.title-desc {
    text-align: center;
    width: 100%
}

.title-desc {
    color: #666;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto 28px
}


.emai-login .login-btn {
    background: #f1514c;
    border-radius: 12px;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    height: 48px;
    line-height: 48px;
    margin-bottom: 20px;
    text-align: center;
    width: 100%
}

.emai-login .login-btn:hover {
    background: #d92a25
}

.dialog-text {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text a {
    color: #222;
    text-decoration: underline
}



.dialog-text-two .one {
    cursor: pointer;
    text-decoration: underline
}




.title-desc {
    color: #222;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    margin-bottom: 28px;
    text-align: center
}

.emai-login .login-btn {
    background: #f1514c;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    height: 48px;
    line-height: 48px;
    margin-bottom: 16px;
    text-align: center;
    width: 100%
}

.emai-login .login-btn:hover {
    background: #d92a25
}

.dialog-text {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text a {
    color: #222;
    text-decoration: underline
}



.lottie-animation[data-v-d7bcc0e6] svg {
    display: block;
    height: 100%;
    width: 100%
}

.success-dialog {
    align-items: center;
    background: #000000b3;
    bottom: 0;
    display: flex;
    justify-content: center;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 1000
}


.main-dialog:after {
    background: url(img/userInfo/success-bg.png) no-repeat 50%;
    background-size: contain;
    content: "";
    height: 180px;
    left: 0;
    position: absolute;
    top: -120px;
    width: 100%
}


.success-content {
    align-items: center;
    background-image: url(img/userInfo/welcome-bg.svg);
    background-position: top;
    background-repeat: no-repeat;
    background-size: 385px 74px;
    display: flex;
    flex-direction: column;
    margin-top: -10px;
    text-align: center
}



.title span {
    color: #f1514c;
    font-size: 32px;
    font-weight: 700;
    line-height: normal;
    margin-right: 5px
}

.success-inner {
    background: #fff6f5;
    border: 1px solid #ffe6e2;
    border-radius: 12px;
    margin-bottom: 78px;
    position: relative;
    width: 100%
}

.success-inner .limited-time {
    left: -6px;
    position: absolute;
    top: -10px
}

.success-inner:before {
    background-image: url(./gift-card.BHhcngtv.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    height: 135px;
    left: 50%;
    position: absolute;
    top: -60px;
    transform: translate(-50%);
    width: 100%;
    z-index: 2
}

.countdown-container {
    gap: 6px;
    margin-bottom: 22px;
    margin-top: 65px
}

.countdown-container,.countdown-container .time-item {
    align-items: center;
    display: flex;
    justify-content: center
}

.countdown-container .time-item {
    background: linear-gradient(180deg,#ff6864 50%,#e3423d 0);
    border: 1px solid #fff;
    border-radius: 6px;
    color: #fff;
    font-size: 20px;
    font-weight: 700;
    height: 32px;
    overflow: hidden;
    position: relative;
    text-align: center;
    width: 32px
}

.countdown-container .time-item:after {
    background-color: #e3423d;
    content: "";
    height: 1px;
    left: 0;
    position: absolute;
    top: 50%;
    width: 100%
}

.countdown-container .semicolons {
    color: #f1514c;
    font-size: 18px;
    font-weight: 700;
    text-align: center;
    width: 18px
}

.subtitle {
    color: #a74101;
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 10px
}

.subtitle span {
    color: #f1514c;
    font-size: 28px;
    font-weight: 700;
    position: relative;
    z-index: 1
}

.subtitle span:after {
    background: #ffedaf;
    border-radius: 2px;
    bottom: 0;
    content: "";
    height: 10px;
    left: 0;
    position: absolute;
    right: 0;
    width: 100%;
    z-index: -1
}

.description {
    background-image: repeating-linear-gradient(-67deg,#fff,#fff 10px,#ffeddc 0,#ffeddc 20px);
    background: url(img/userInfo/signup-success-stripe-bg.png) no-repeat center 30%;
    color: #f1514c;
    font-size: 18px;
    font-weight: 700;
    margin: 0 auto 16px;
    padding: 17px 23px 16px;
    position: relative;
    white-space: nowrap;
    width: -moz-fit-content;
    width: fit-content
}

.gift-card {
    align-items: center;
    background: #fff;
    border-radius: 0 0 24px 24px;
    bottom: 0;
    box-shadow: 0 -7px 14px #00000014;
    display: flex;
    height: 88px;
    justify-content: center;
    left: 0;
    position: absolute;
    right: 0;
    width: 100%
}

.action-btn {
    background: #f1514c;
    border-radius: 12px;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    font-weight: 700;
    height: 54px;
    line-height: 54px;
    position: relative;
    transition: all .3s ease;
    width: 343px
}

.action-btn:hover {
    background: #d92a25
}

@media screen and (max-width: 720px) {
    .main-dialog {
        padding:16px 16px 30px;
        width: 80%
    }

    .main-dialog:after {
        top: -116px
    }

    .title {
        font-size: 18px
    }

    .success-inner .limited-time {
        display: none
    }

    .success-inner:before {
        height: 94px;
        top: -50px
    }

    .countdown-container {
        margin-top: 46px
    }

    .subtitle {
        font-size: 16px;
        margin-bottom: 0
    }

    .subtitle span {
        font-size: 22px
    }

    .description {
        margin-bottom: 0;
        transform: scale(.8)
    }

    .gift-card {
        padding: 0 17px
    }
}

.animation {
    bottom: -40px;
    height: 70px;
    pointer-events: none;
    position: absolute;
    right: 10px;
    width: 70px
}

@media screen and (max-width: 720px) {
    .animation {
        bottom:-30px;
        height: 60px;
        right: -5px;
        width: 60px
    }
}


@media screen and (max-width: 768px) {
    .main-dialog {
        border-radius:12px 12px 0 0;
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 60px;
        transform: translate(0);
        width: 100%
    }
}

.policytitle {
    background-color: #fff;
    color: #000;
    font-size: 20px;
    font-weight: 700;
    position: sticky;
    text-align: center;
    top: 0
}

.dialog-body::-webkit-scrollbar {
    width: 5px
}

.dialog-body::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 3px;
    -webkit-transition: all .3s ease;
    transition: all .3s ease
}

.dialog-body .policytitletit {
    color: #222;
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 6px
}

.dialog-body .policytext {
    color: #222;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 16px
}

.dialog-body .protocol-statement {
    background: #e6faf0;
    border-radius: 8px;
    padding: 12px 20px
}

.dialog-body .protocol-statement .last-icon {
    display: inline-block;
    vertical-align: middle
}

.dialog-body .protocol-statement div {
    color: #197247;
    display: inline-block;
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    margin-right: 12px
}



.privacy-dialog {
    bottom: 0;
    left: 0;
    position: fixed;
    right: -17px;
    top: 10px;
    z-index: 9999
}

@media screen and (max-width: 768px) {
    .main-dialog {
        border-radius:12px 12px 0 0;
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 60px;
        transform: translate(0);
        width: 100%
    }
    .privacy-dialog {
        bottom: 0;
        left: 0;
        position: fixed;
        right: 0px;
        top: 0px;
        z-index: 9999
    }

}

.dialog-body {
    color: #666;
    font-size: 14px;
    height: 550px;
    line-height: 1.6;
    overflow-y: auto;
}

.dialog-body::-webkit-scrollbar {
    width: 5px
}

.dialog-body::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 3px;
    -webkit-transition: all .3s ease;
    transition: all .3s ease
}

.dialog-body h2 {
    color: #222;
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 6px
}

.dialog-body p {
    color: #222;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 16px
}

.dialog-body p ::v-deep a {
    color: #1373eb;
    text-decoration: underline
}

.dialog-body ul li {
    color: #333;
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    list-style: none;
    margin-bottom: 12px;
    padding-left: 20px;
    position: relative
}

.dialog-body ul li:before {
    background: #333;
    border-radius: 50%;
    content: "";
    height: 6px;
    left: 6px;
    position: absolute;
    top: 9px;
    width: 6px
}

.dialog-body .copy-right li {
    padding-left: 14px
}

.dialog-body .copy-right li:before {
    display: none
}
@media screen and (max-width: 768px) {
    .dialog-content {
        max-height:90vh;
        padding: 20px;
        width: 90%
    }
}

.hidden-dialog {
    opacity: 0
}


.gift-banner {
    align-items: center;
    background: repeating-linear-gradient(-76deg,#fff,#fff 7px,#feefee 0,#feefee 15px);
    border-radius: 8px;
    display: flex;
    height: 36px;
    justify-content: center;
    margin-bottom: 28px;
    margin-left: auto;
    margin-right: auto;
    max-width: 296px;
    padding: 0 16px 0 0;
    width: 100%
}

.gift-banner span {
    color: #f1514c;
    font-size: 14px;
    font-weight: 400
}


.login-type,.login-type .google-icon {
    align-items: center;
    display: flex;
    justify-content: center
}

.login-type .google-icon {
    height: 18px;
    width: 18px
}


.google-type {
    margin-bottom: 20px
}

.google-btn {
    border: none;
    height: auto
}





.apple-type {
    color: #999;
    cursor: no-drop
}

.apple-type img {
    height: 18px;
    width: 18px
}


.login-or .line {
    background: #e5e5e5;
    flex: 1;
    height: 1px
}



.sinup-btn {
    align-items: center;
    background: #f1514c;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    display: flex;
    font-size: 17px;
    font-weight: 700;
    gap: 8px;
    height: 48px;
    justify-content: center;
    line-height: 48px;
    margin: 0 auto 16px;
    text-align: center;
    width: 100%
}

.sinup-btn:hover {
    background: #d92a25
}

.dialog-text {
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text,.dialog-text span {
    font-size: 12px;
    line-height: 18px
}

.dialog-text span {
    color: #666;
    font-weight: 400
}

.dialog-text .dialog {
    color: #222;
    cursor: pointer;
    display: inline;
    font-size: 12px;
    text-decoration: underline
}

.dialog-text-two {
    color: #222;
    font-size: 14px;
    line-height: 16px;
    margin: 0 auto 12px;
    text-align: center;
    width: 100%
}

.dialog-text-two .two {
    cursor: pointer;
    font-weight: 500;
    text-decoration: underline
}

.pop-close {
    background: #fff;
    border-radius: 50%;
    cursor: pointer;
    display: block;
    height: 33px;
    position: absolute;
    right: 12px;
    top: 12px;
    transition: all .2s ease;
    width: 33px;
    z-index: 99
}

.pop-close:hover {
    background: #f1f1f1
}

.pop-close:before {
    background-color: #666;
    transform: rotate(45deg)
}

.pop-close:after,.pop-close:before {
    border-radius: 25px;
    content: "";
    display: inline-block;
    height: 2px;
    left: 8px;
    position: absolute;
    top: 15px;
    width: 18px
}

.pop-close:after {
    background-color: #333;
    transform: rotate(-45deg)
}

.gift-card-tip:after {
    background: #fff;
    border-bottom: 1px solid #ff6b6b;
    border-right: 1px solid #ff6b6b;
    bottom: -5px;
    content: "";
    height: 8px;
    left: 84%;
    position: absolute;
    transform: translate(-50%) rotate(45deg);
    width: 8px
}

.gift-card-tip img {
    height: 32px;
    width: 35px
}

.login-type {
    border: 1px solid #b5b5b5;
    border-radius: 12px;
    color: #222;
    cursor: pointer;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    gap: 12px;
    height: 48px;
    line-height: 48px;
    margin: 0 auto;
    text-align: center;
    transition: all .3s ease;
    width: 100%
}

.login-type,.login-type .google-icon {
    align-items: center;
    display: flex;
    justify-content: center
}

.login-type .google-icon {
    height: 18px;
    width: 18px
}


.google-type {
    margin-bottom: 20px
}

.google-btn {
    border: none;
    height: auto
}

.facebook-type {
    margin-bottom: 10px
}

.facebook-type img {
    height: 18px;
    width: 18px
}

.apple-type {
    color: #999;
    cursor: no-drop
}

.apple-type img {
    height: 18px;
    width: 18px
}


.login-or .line {
    background: #e5e5e5;
    flex: 1;
    height: 1px
}



.emai-login {
    margin: 0 auto;
    width: 100%
}
.email-resend{
    width: 50%;
    margin: 0 auto;
}

.emai-login .remember {
    align-items: center;
    display: flex;
    justify-content: center;
    margin-bottom: 12px
}

.emai-login .remember .right {
    color: #222;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    line-height: 18px;
    text-decoration: underline
}



.email-logined {
    background: #f6f6f6;
    border-radius: 12px;
    margin: 20px auto 16px;
    padding: 16px 20px;
    text-align: center;
    width: 100%
}

.email-logined .email-logo {
    align-items: center;
    background: #ddd;
    border-radius: 100%;
    color: #000;
    display: flex;
    font-size: 28px;
    font-weight: 700;
    height: 68px;
    justify-content: center;
    margin: 0 auto 8px;
    width: 68px
}

.email-logined .email-name {
    color: #000;
    font-size: 16px;
    font-weight: 700;
    line-height: 18px;
    margin-bottom: 20px
}

.email-anther {
    color: #222;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 12px;
    text-align: center;
    text-decoration: underline
}

.dialog-text {
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text,.dialog-text span {
    font-size: 12px;
    line-height: 18px
}

.dialog-text span {
    color: #666;
    font-weight: 400
}

.dialog-text .dialog {
    color: #222;
    cursor: pointer;
    display: inline;
    font-size: 12px;
    text-decoration: underline
}


.dialog-text-two .two {
    font-weight: 500;
    text-decoration: underline
}

.main-dialog {
    background: #fff;
    padding: 30px 24px;
    position: relative
}
.resend-dialog {
    background: #fff;
    padding: 30px 24px;
    position: relative;
}

.icon-logo {
    background: url(img/hd-new-logo-new.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    height: 44px;
    margin-bottom: 70px;
    width: auto
}

.title {
    color: #000;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 14px;
    position: relative;
    text-align: center
}

.title-desc {
    color: #222;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    margin-bottom: 28px;
    text-align: center
}

.emai-login .login-btn {
    background: #f1514c;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
    height: 48px;
    line-height: 48px;
    margin-bottom: 20px;
    text-align: center;
    width: 100%
}

.emai-login .login-btn:hover {
    background: #d92a25
}

.dialog-text {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto;
    text-align: center;
    width: 100%
}

.dialog-text a {
    color: #222;
    text-decoration: underline
}

.login-wrap {
    background: #fff;
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1000
}

.user-mobile-login-collect {
    position: relative;
    z-index: 1010
}

.fixed-login {
    background: #fff;
    bottom: 0;
    display: block;
    font-size: 16px;
    overflow: auto;
    position: fixed;
    text-align: left;
    top: 0;
    transition: left .3s;
    width: 100%;
    z-index: 1
}

.mobile-activty-dialog {
    height: calc(100vh - 60px)
}

.popup .popup-content:before{
    background-image: url(../images/gift-card.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    height: 180px;
    left: 50%;
    position: absolute;
    top: -120px;
    transform: translate(-50%);
    width: 100%;
    z-index: 2
}
.popup .popup-area:before {
    background-image: url(../images/gift-card.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    height: 180px;
    left: 50%;
    position: absolute;
    top: -120px;
    transform: translate(-50%);
    width: 100%;
    z-index: 2
}

.popup .popup-header {
    background: linear-gradient(180deg,#ffede3,#fff 80%);
    border-radius: 8px;
    color: #7f561a;
    font-size: 22px;
    font-weight: 700;
    padding: 60px 10px 24px;
    position: relative
}

.popup .popup-header .popup-title {
    align-items: center;
    display: flex;
    gap: 16px;
    justify-content: center;
    margin-bottom: 24px;
    position: relative
}



.popup .popup-header .point {
    background: linear-gradient(90deg,#ffeed800,#ffede2 34%,#ffefd7 51.52%,#ffede2 67.67%,#ffeed800 102.54%);
    margin: auto;
    padding: 12px 90px;
    width: -moz-fit-content;
    width: fit-content
}

.popup .popup-header .point .red {
    color: #f1514c;
    font-size: 28px;
    font-weight: 700
}

.popup .popup-close {
    border-radius: 50%;
    cursor: pointer;
    justify-content: center;
    padding: 8px;
    position: absolute;
    right: 16px;
    top: 16px;
    z-index: 3
}

.popup .popup-body,.popup .popup-close {
    align-items: center;
    color: #666;
    display: flex
}

.popup .popup-body {
    flex-direction: column;
    font-size: 22px;
    gap: 12px;
    padding: 0 60px 90px;
    text-align: center
}

.is-mobile .popup .popup-body {
    padding: 0 15px 40px
}

.popup .popup-body .email {
    color: #000;
    font-size: 24px;
    font-weight: 700
}

@media screen and (max-width: 720px) {
    .popup .popup-content:before {
        height: 126px;
        top: -90px
    }

    .popup .popup-header {
        padding: 40px 10px 32px
    }

    .popup .popup-header .point {
        font-size: 16px;
        padding: 12px;
        white-space: nowrap
    }

    .popup .popup-header .point .red {
        font-size: 22px
    }

    .popup .popup-title {
        font-size: 18px
    }

    .popup .popup-body {
        font-size: 14px;
        padding: 0 34px 30px
    }

    .popup .popup-body .email {
        font-size: 16px
    }
}

.fade-enter-active,.fade-leave-active {
    transition: opacity .3s ease
}

.fade-enter-from,.fade-leave-to {
    opacity: 0
}


.popup,.popup .popup-content {
    align-items: center;
    display: flex
}



.popup .popup-close {
    color: #666;
    cursor: pointer;
    font-size: 16px;
    padding: 12px;
    position: absolute;
    right: 12px;
    top: 12px
}

.popup .email-expire-img {
    width: 140px
}

.popup .bold-text {
    color: #000;
    font-size: 20px;
    font-weight: 700;
    margin: 20px 0 12px;
    text-align: center
}

.popup p {
    color: #666;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px
}


.fade-enter-active,.fade-leave-active {
    transition: opacity .3s ease
}

.fade-enter-from,.fade-leave-to,.hidden-dialog{
    opacity: 0
}

.input-container .email-label {
    background: #fff;
    color: #999;
    font-size: 14px;
    font-weight: 400;
    left: 16px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: all .2s
}

.modal-overlay {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100vw; height: 100vh;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
}



.input-container .open-eye {
    background-image: url("https://www.hotdeals.com/hotdeals_assets/img/userInfo/open-eye.svg");
}

.error-tips{
    display: none;
}
.email-tips .email-tips-item:hover {
    background: #f7f7f7;
}

.popup .popup-content{
    background: #fff;
    box-shadow: 0 2px 12px #00000026;
    display: flex;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    flex-direction: column;
    max-height: 80vh;
    position: relative;
}


.popup .icon-coin {
    height: 100px;
    left: 165px;
    -o-object-fit: contain;
    object-fit: contain;
    position: absolute;
    top: -34px;
    width: 100px;
    z-index: 1;
}

@media screen and (max-width: 720px) {
    .popup .icon-coin {
        height: 78px;
        left: 8px;
        top: -30px;
        width: 78px;
    }
}
img {
    border: none;
    height: auto;
    max-height: 100%;
    max-width: 100%;
    width: auto;
}

@media screen and (max-width: 720px) {
    .popup .popup-header {
        padding: 16px 16px 0px;
    }
}
.popup .popup-header {
    align-items: center;
    background: linear-gradient(180deg, #ffefe1, #fff);
    border-radius: 16px;
    width: 100%;
    justify-content: center;
    position: relative;
    text-align: center;
}
.popup .popup-title {
    color: #000;
    font-size: 16px;
    font-weight: 700;
}

@media screen and (max-width: 720px) {
    .popup .popup-title {
        font-size: 16px;
        padding: 0 50px;
    }
    .pc-hide{display: none}
}

@media screen and (min-width: 720px) {
    .mobile-login{display: none}
}

.popup .popup-close:hover {
    background-color: #f1f1f1;
}
.popup .popup-close {
    align-items: center;
    border-radius: 50%;
    color: #666;
    cursor: pointer;
    display: flex
;
    justify-content: center;
    padding: 8px;
    position: absolute;
    right: 16px;
    top: 30px;
    transform: translateY(-50%);
}
.nuxt-icon--fill, .nuxt-icon--fill * {
    fill: currentColor;
}
.nuxt-icon--fill, .nuxt-icon--fill * {
    fill: currentColor;
}

.nuxt-icon {
    margin-bottom: 0 !important;
}
@media screen and (max-width: 720px) {
    .popup .popup-body {
        padding: 0 16px 16px;
    }
}
.popup .popup-body {
    flex: 1;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.popup .popup-body .bold{
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 8px;
}

.popup .popup-body .text{
    color: #666;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    text-align: left;
    margin-bottom: 20px;
}


.popup .popup-body .container {
    display: flex
;
    gap: 72px;
    justify-content: space-around;
    margin-bottom: 32px;
    margin-top: 20px;
}
@media screen and (max-width: 720px) {
    .popup .popup-body .container {
        align-items: center;
        flex-direction: column;
        gap: 24px;
    }
}

.popup .popup-body .item {
    align-items: center;
    display: flex;
    flex-direction: column;
    font-size: 14px;
    text-align: center;
}

@media screen and (max-width: 720px) {
    .popup .popup-body .item {
        align-items: center;
        flex-direction: row;
        gap: 20px;
        text-align: left;
    }
}

.popup .popup-body .item img {
    width: 80px;
}

.popup .popup-body .item .item-title {
    color: #222;
    font-weight: 700;
    margin: 14px 0 7px;
}
@media screen and (max-width: 720px) {
    .popup .popup-body .item .item-title {
        margin-top: 0;
    }
}

.popup .popup-body .item .item-text{
    color: #666;
    font-weight: 400;
    line-height: 21px;
}
.collapse-group {
    display: flex
;
    flex-direction: column;
    gap: 16px;
}

.popup .popup-body .faq-collapse {
    border: 1px solid #eaeaea;
    border-radius: 12px;
    font-family: Arial, Arial fallback;

}
.collapse {
    background: #fff;
    border: 2px solid #fff;
    border-radius: 12px;
    color: #222;
    text-align: left;
    padding: 20px;
}

.title-wrapper {
    align-items: flex-start;
    cursor: pointer;
    display: flex;
    position: relative;
    justify-content: space-between;
}
@media screen and (max-width: 720px) {
    .title {
        font-size: 16px;
        line-height: 21px;
        text-align: center;
    }
}
.main-login-dialog .title {
    font-size: 20px;
    font-weight: 500;
}
@media screen and (max-width: 720px) {
    .user-info .icon {
        height: 21px;
    }
}
.user-info .icon, .title-wrapper .icon {
    color: #666;
    font-size: 12px;
    position: relative;
    font-weight: 400;
    height: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.popup-body .content {
    opacity: 1;
    padding-top: 12px;
    transition: opacity .2s ease;
}
.popup .popup-body .faq-collapse .answer {
    color: #666;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
}
@media screen and (max-width: 720px) {
    .popup .popup-footer {
        border-top: none;
        padding: 16px 20px;
    }
}
.popup .popup-footer {
    border-top: 1px solid #eaeaea;
    padding: 16px 24px;
    text-align: center;
}
@media screen and (max-width: 720px) {
    .popup .popup-footer .btn-confirm {
        width: 100%;
    }
}
.popup .popup-footer .btn-confirm {
    padding: 0 24px;
}
.btn-confirm {
    background: #f1514c;
    border: none;
    border-radius: 10px;
    color: #fff;
    cursor: pointer;
    font-family: Arial;
    font-size: 14px;
    font-weight: 700;
    height: 40px;
    line-height: 40px;
}
.divider{
    background: #eaeaea;
    height: 1px;
    margin: 4px 0;
    width: 100%;
}
.content-wrapper {
    display: none;

}
.content-wrapper.active {
    display: block;
}
.toggle-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 18px;
}


.popup {
    display: block;
    position: fixed;
    top: 0; left: 0;
    width: 100vw; height: 100vh;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
}

@media screen and (max-width: 720px) {
    .popup{
        width: 100%;
    }
}

.title-wrapper .icon {
    align-items: center;
    display: flex
;
    gap: 4px;
}
.title-wrapper .icon {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    height: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.popup-content{
    animation: slideUp 0.3s ease;
}

@keyframes slideUp {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}

.popup {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1000;
    display: flex;
    height: 100%;
    justify-content: center;
}

.popup-content {
    background: #fff;
    width: 100%;
    max-width: 500px;
    border-radius: 10px 10px 0 0;
    position: relative;
    animation: slideUp 0.3s ease;
}



.pc-login{
    flex-shrink: 0;
    height: 100%;
    margin-left: 30px;
}

.info-login, .info-login .login-sigup-title {
    align-items: center;
    display: flex;
    justify-content: center;
}
.info-login {
    gap: 12px;
    height: 100%;
}
.info-login .login-sigup-title {
    gap: 24px;
}
.info-login, .info-login .login-sigup-title{
    align-items: center;
    display: flex;
    justify-content: center;
}
.info-login .login-sigup-title .login {
    color: #fff;
    cursor: pointer;
    font-size: 15px;
    font-weight: 500;
    line-height: 18px;
    transition: all .3s ease;
    white-space: nowrap;
}
.info-login .login-sigup-title .sin-up{
    align-items: center;
    border: 1px solid #f1514c;
    border-radius: 12px;
    color: #fff;
    cursor: pointer;
    display: flex;
    flex-shrink: 0;
    font-size: 15px;
    font-weight: 500;
    gap: 2px;
    height: 40px;
    justify-content: center;
    padding: 0 12px 0 6px;
    transition: all .3s ease;
    white-space: nowrap;
}
.info-login .login-sigup-title .login:hover {
    color: #ff9700;
}
.info-login .login-sigup-title .sin-up:hover {
    background: #ff9700;
    color: #fff;
}

.mobile-nav{display: none;}
.mobile-nav img:hover, .mobile-nav .mobile-user-icon:hover{
    cursor: pointer;
}

.h-full, .user-info-has-login {
    align-items: center;
    display: flex;
    gap: 5px;
}
.h-full {
    cursor: pointer;
    height: 100%;
}
@media screen and (max-width: 950px){
    .h-full, .user-info-has-login {
        gap: 0px;
    }
}
.user-info-has-login {
    background: #ffefe3;
    border-radius: 10px;
    color: #853e00;
    font-size: 14px;
    font-weight: 600;
    justify-content: center;
    padding: 4px;
    position: relative;
}
.user-info-has-login .top-content {
    margin-left: 8px;
    margin-bottom: 0px;
    font-weight: bold;
}
@media screen and (max-width: 950px){
    .user-info-has-login .top-content {
        margin-left: 3px;
        font-weight: bold;
    }
}
.icon-user {
    color: #853e00;
    font-size: 22px;
}
.nuxt-icon {
    height: 1em;
    margin-bottom: .125em;
    vertical-align: middle;
    width: 1em;
}
.nuxt-icon {
    margin-bottom: 0 !important;
}



@media screen and (max-width: 1200px) {
    .pc-login{
    }
}

@media screen and (max-width: 950px){
    .icon-more {
        display: block
    }

    .nav-bar,.search{
        display: none
    }

    .search-mobile {
        display: block
    }
    .pc-login {
        z-index: 999;
        right: 50px;
        position: absolute;
    }
    .mobile-nav {
        align-items: center;
        display: flex;
        gap: 12px;
        justify-content: center;
        order: 3;
        width: -moz-fit-content;
        width: fit-content;
        position: fixed;
        right: 60px;
        top:5px;
        z-index: 999;
    }

    .mobile-nav .user-login,.mobile-nav .user-login svg {
        height: 24px;
        width: 24px
    }

    .mobile-nav .user-login .user-logo {
        border-radius: 50%;
        height: 24px;
        overflow: hidden;
        width: 24px
    }

    .mobile-nav .user-login .user-logo img {
        height: 100%;
        -o-object-fit: contain;
        object-fit: contain;
        width: 100%
    }

    .mobile-nav .user-login {
        background: #fff0ef;
        color: #f1514c;
        font-size: 16px;
        font-weight: 600;
        line-height: 24px;
        text-align: center
    }

    .mobile-nav .icon-user {
        height: 46px;
        margin-left: -10px;
        margin-right: -10px;
        width: 50px
    }

    .mobile-nav .menu {
        margin-left: 20px
    }

    .mobile-nav .menu,.mobile-nav .menu svg {
        height: 24px;
        width: 24px
    }

    .mobile-nav .gold-icon {
        height: 20px;
        margin-right: 8px;
        width: 18px
    }

    .fixed-login,.mobile-nav-x {
        display: block
    }


    .mobile-nav-dislog {
        top: 59px
    }

    .mobile-nav-dislog,.mobile-nav-menu-dialog {
        background: #fff;
        height: calc(100vh - 60px);
        left: 0;
        overflow-y: scroll;
    }

    .mobile-nav-menu-dialog {
        /* top:60px; */
        /* z-index:990; */
    }

    .mobile-activty-dialog {
        height: calc(100vh - 60px)
    }
}

.user-pc-popup {
    background: #fff;
    border: 1px solid #eaeaea;
    border-radius: 12px;
    bottom: -8px;
    box-shadow: 0 6px 8px #0000001a;
    padding: 10px;
    position: absolute;
    right: 0;
    transform: translateY(100%);
    width: 320px;
    z-index: 10;
}
@media screen  and (max-width: 950px){
     .user-pc-popup{
         right: -48px;
     }
}
.user-popup-content {
    cursor: default;
    font-size: 14px;
    font-weight: 400;
    display: none;
}
.color-brown {
    color: #853e00;
}
.user-info{
    background-image: url(../images/user-info.webp);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 8px;
    font-weight: 500;
    margin-bottom: 4px;
    padding: 14px 10px;
}
.top {
    align-items: center;
    display: flex;
    margin-bottom: 6px;
}
.top .user-avatar {
    background: #f3c195;
    border-radius: 50%;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    height: 24px;
    line-height: 24px;
    margin-right: 8px;
    text-align: center;
    width: 24px;
}
.points {
    color: #f1514c;
    font-size: 32px;
    font-weight: 700;
}
.points-worth{
    font-size: 12px;
    font-weight: 400;
}
.color-brown {
    color: #853e00;
}
.user-popup-content-item {
    align-items: center;
    color: #222;
    cursor: pointer;
    display: flex;
    font-size: 13px;
    padding: 10px;
}
.user-popup-content-item.color-brown svg {
    font-size: 24px;
    margin-right: 4px;
}
.user-popup-content-item img, .user-popup-content-item svg {
    margin-right: 8px;
}
.user-popup-content-item .icon {
    font-size: 18px;
}
.user-popup-content-item:hover {
    background: #fff2f2;
    border-radius: 8px;
    color: #f1514c;
}
.tip{
    align-items: center;
    background: #fff0ed;
    border-radius: 4px;
    color: #f1514c;
    display: flex;
    font-weight: 500;
    margin-left: 6px;
    padding: 3px 6px;
}
.icon-arrow, .triangle {
    transform: rotate(180deg);
    transition: transform .3s ease-in-out;
}
.h-full:hover .pc-triangle{
    transform: rotate(0deg);
}
.user-info-has-login.active:after {
    background: #f1514c;
    border-radius: 50%;
    content: "";
    height: 8px;
    left: 24px;
    position: absolute;
    top: 4px;
    width: 8px;
    z-index: 1;
}
.submit-main, .submit-main .btn {
    align-items: center;
    display: flex;
}
.submit-main .btn:hover {
    border: 1px solid #f1514c;
    color: #f1514c;
}
.submit-main .btn {
    border: 1px solid #eee;
    border-radius: 8px;
    color: #222;
    cursor: pointer;
    height: 30px;
    justify-content: center;
    margin-right: 12px;
    padding: 5px 10px;
}

.submit-main .btn span{
    display: inline-block;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
}
@media screen and (max-width: 950px) {
    .submit-main .btn{
        margin-right: 2px;
        padding: 2px;
    }
    .submit-main .btn span{
        font-size: 12px;
    }
}

.submit-main .btn svg{
    margin-right: 6px;
}
.triangle.rotate {
    transform: rotate(0deg);
}
.rewards-points-center{width: 24px;}

.sended-body{display: none}
.sent-image{
    background: url(../images/img_email.png);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: contain;
    height: 138px;
    margin: 0 auto 20px;
    width: 142px;
}
.send-mail-body .dialog-text, .send-mail-body .dialog-text-two {
    font-size: 14px;
    line-height: 18px;
    text-align: center;
    width: 100%;
}
.send-mail-body .dialog-text {
    color: #666;
    font-weight: 400;
    margin: 0 auto 20px;
}
.send-mail-body .dialog-text-two {
    color: #222;
    cursor: pointer;
    font-weight: 500;
    margin: 0 auto;
    text-decoration: underline;
}
.resend-body .title, .resend-body .title-desc {
    text-align: center;
    width: 100%;
}
.resend-body .title {
    color: #000;
    font-size: 20px;
    font-weight: 700;
    line-height: 24px;
    margin: 0 auto 14px;
}
.resend-body .title-desc {
    color: #666;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    margin: 0 auto 28px;
}
.resend-body .title, .resend-body .title-desc{
    text-align: center;
    width: 100%;
}
.resend-body .emai-login {
    margin: 0 auto;
    width: 100%;
}

#register success

.popup{
    align-items: center;
    background-color: #000000b3;
}
.popup .popup-area {
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 12px #00000026;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 730px;
}
.popup .popup-close {
    border-radius: 50%;
    cursor: pointer;
    justify-content: center;
    padding: 8px;
    position: absolute;
    right: 16px;
    top: 16px;
    z-index: 3;
}
.popup .popup-header .popup-title:before {
    background: linear-gradient(90deg, #853e0000, #af6c00);
    content: "";
    display: inline-block;
    height: 2px;
    opacity: .8;
    width: 44px;
}
.popup .popup-header .popup-title:after {
    background: linear-gradient(-90deg, #853e0000, #af6c00);
    content: "";
    display: inline-block;
    height: 2px;
    opacity: .8;
    width: 44px;
}
.popup .popup-header .point .red{
    color: #f1514c;
    font-size: 28px;
    font-weight: 700;
}
.popup .popup-body .email {
    color: #000;
    font-size: 24px;
    font-weight: 700;
}

@media screen and (max-width: 720px) {
    .popup .popup-area {
        align-self:flex-end;
        border-radius: 16px 16px 0 0;
        width: 100%
    }

    .popup .popup-area:before {
        height: 126px;
        top: -80px
    }

    .popup .popup-header {
        padding: 40px 10px 32px
    }

    .popup .popup-header .point {
        font-size: 16px;
        padding: 12px;
        white-space: nowrap
    }

    .popup .popup-header .point .red {
        font-size: 22px
    }

    .popup .popup-title {
        font-size: 18px
    }

    .popup .popup-body{
        font-size: 14px;
        padding: 0 34px 30px
    }

    .popup .popup-body .email {
        font-size: 16px
    }
}